Brian Cook wrote:
Hello,

When I try install from RPMs created from 'make rpms' on F18 I get the 
following error:
2013-02-13T19:49:27Z INFO The ipa-server-install command failed, exception: 
IndexError: list index out of range


Here are the few log entries before it:

2013-02-13T19:49:27Z INFO   File 
"/usr/lib/python2.7/site-packages/ipaserver/install/installutils.py", line 617, 
in run_script
     return_value = main_function()

   File "/sbin/ipa-server-install", line 986, in main
     dm_password, subject_base=options.subject)

   File "/usr/lib/python2.7/site-packages/ipaserver/install/cainstance.py", 
line 623, in configure_instance
     self.start_creation(runtime=210)

   File "/usr/lib/python2.7/site-packages/ipaserver/install/service.py", line 
358, in start_creation
     method()

   File "/usr/lib/python2.7/site-packages/ipaserver/install/cainstance.py", 
line 1225, in __request_ra_certificate
     self.requestId = item_node[0].childNodes[0].data

2013-02-13T19:49:27Z INFO The ipa-server-install command failed, exception: 
IndexError: list index out of range


Any idea what I am doing wrong?

You aren't doing anything wrong. This is caused by a bug in the nss package, see this thread
https://www.redhat.com/archives/freeipa-users/2013-February/msg00195.html

rob

_______________________________________________
Freeipa-devel mailing list
Freeipa-devel@redhat.com
https://www.redhat.com/mailman/listinfo/freeipa-devel

Reply via email to